xml.instruct!
xml.sitemapindex 'xmlns' => 'http://www.sitemaps.org/schemas/sitemap/0.9' do
  <%# All top-level partial build child sitemaps %>
  <% Dir[File.expand_path('sitemaps', __dir__) + '/sitemap_*'].each do |child_sitemap_file| %>
    <% sitemap_base_xml_filename = child_sitemap_file.split('/').last.gsub('.builder.erb','') %>
    xml.sitemap do
      xml.loc '<%= "https://about.gitlab.com/sitemaps/#{sitemap_base_xml_filename}" %>'
    end
  <% end %>

  <%# All monorepo site child sitemaps (hardcoded, could be driven by `data/monorepo.yml` if we wanted) %>
  xml.sitemap do
    xml.loc 'https://about.gitlab.com/handbook/sitemap_handbook.xml'
  end
end
